org.apache.lucene.queryparser.flexible.standard.parser

## Class StandardSyntaxParserTokenManager

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.parser.StandardSyntaxParserTokenManager

- All Implemented Interfaces:
    StandardSyntaxParserConstants

      public class StandardSyntaxParserTokenManager
      extends Object
      implements StandardSyntaxParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `protected CharStream` | `input_stream`
    `static int[]` | `jjnewLexState` Lex State array.
    `static String[]` | `jjstrLiteralImages` Token literal values.
    `static String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from interface org.apache.lucene.queryparser.flexible.standard.parser.StandardSyntaxParserConstants

      `_ESCAPED_CHAR, _NUM_CHAR, _QUOTED_CHAR, _TERM_CHAR, _TERM_START_CHAR, _WHITESPACE, AND, Boost, CARAT, DEFAULT, EOF, FUZZY_SLOP, LPAREN, MINUS, NOT, NUMBER, OP_COLON, OP_EQUAL, OP_LESSTHAN, OP_LESSTHANEQ, OP_MORETHAN, OP_MORETHANEQ, OR, PLUS, QUOTED, Range, RANGE_GOOP, RANGE_QUOTED, RANGE_TO, RANGEEX_END, RANGEEX_START, RANGEIN_END, RANGEIN_START, REGEXPTERM, RPAREN, TERM, tokenImage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSyntaxParserTokenManager(CharStream stream)` Constructor.
    `StandardSyntaxParserTokenManager(CharStream stream, int lexState)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(CharStream stream)` Reinitialise parser.
    `void` | `ReInit(CharStream stream, int lexState)` Reinitialise parser.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jjstrLiteralImages

          public static final String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

    - #### input_stream

          protected CharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### StandardSyntaxParserTokenManager

          public StandardSyntaxParserTokenManager(CharStream stream)

      Constructor.

    - #### StandardSyntaxParserTokenManager

          public StandardSyntaxParserTokenManager(CharStream stream,
                                                  int lexState)

      Constructor.

  - ### Method Detail

    - #### ReInit

          public void ReInit(CharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(CharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.